xine-lib: ebml_parser_s Struct Reference

xine-lib 1.2.12

Data Fields
ebml_parser_s Struct Reference

`#include <ebml.h>`

## Data Fields
xine_t * | xine
input_plugin_t * | input
ebml_elem_t | elem_stack [10]
int | level
uint64_t | version
uint64_t | read_version
uint64_t | max_id_len
uint64_t | max_size_len
char * | doctype
uint64_t | doctype_version
uint64_t | doctype_read_version

## Field Documentation

## ◆ doctype

char* ebml_parser_s::doctype

Referenced by dispose_ebml_parser(), ebml_check_header(), and open_plugin().

## ◆ doctype_read_version

uint64_t ebml_parser_s::doctype_read_version

Referenced by ebml_check_header().

## ◆ doctype_version

uint64_t ebml_parser_s::doctype_version

Referenced by ebml_check_header().

## ◆ elem_stack

ebml_elem_t ebml_parser_s::elem_stack[10]

Referenced by ebml_get_next_level(), and ebml_read_master().

## ◆ input

input_plugin_t* ebml_parser_s::input

Referenced by ebml_read_elem_data(), ebml_read_elem_head(), ebml_read_elem_id(), ebml_read_elem_len(), ebml_skip(), new_ebml_parser(), and parse_top_level().

## ◆ level

int ebml_parser_s::level

Referenced by ebml_get_next_level(), ebml_read_master(), parse_audio_track(), parse_cluster(), parse_content_compression(), parse_content_encoding(), parse_content_encodings(), parse_seek_entry(), parse_track_entry(), parse_tracks(), and parse_video_track().

## ◆ max_id_len

uint64_t ebml_parser_s::max_id_len

Referenced by ebml_check_header(), and open_plugin().

## ◆ max_size_len

uint64_t ebml_parser_s::max_size_len

Referenced by ebml_check_header(), and open_plugin().

## ◆ read_version

uint64_t ebml_parser_s::read_version

Referenced by ebml_check_header().

## ◆ version

uint64_t ebml_parser_s::version

Referenced by ebml_check_header().

## ◆ xine

xine_t* ebml_parser_s::xine

Referenced by ebml_check_header(), ebml_read_elem_data(), ebml_read_elem_id(), ebml_read_elem_len(), ebml_read_float(), ebml_read_master(), ebml_read_uint(), ebml_skip(), new_ebml_parser(), and parse_top_level().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/ebml.h